/************************************************************************
** low level IO routines
**
************************************************************************/

#ifndef LOWLEVEL_IO__H
#define LOWLEVEL_IO__H

extern int _close(int fd);
extern long _filelength(int fd);
extern int _ioctl(int fd,int cmd, void *data);
extern int _open(const char *name,int mode);
extern int _read(int fd, void *buffer, unsigned int count);
extern int _seek(int fd, long offset, int origin);
extern long _tell(int fd);
extern int _write(int fd, const void *data,unsigned int count);
extern int _get(int fd);
extern int _put(int c,int fd);

#endif
