`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    20:20:51 05/20/2008 
// Design Name: 
// Module Name:    CompactFlash 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: This is the hardware interface to a Compact Flash Card for 
//		The ATmega2651 or ATmega128
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module CompactFlash(clk, reset, I, O, A, W, R,cfDi,cfDo,cfDen,cfA,ce1,ce2,cfIOR,cfIOW,cfRST,cfRDY,cfWAIT,cfWP,cfIOCS16,cfWE,cfOE);
    input clk;			//system clock
    input reset;		//system reset
    input [7:0] I;	//data in
    input [7:0] O;	//data out
    input [10:0] A;	//Address
    input W;			//write data
    input R;			//read data
	 input [15:0]cfDo;		//input data from compact flash
	 output [15:0] cfDo;		//output data to the compact flash
	 output cdDen;				//data enable for tristate control on cf Data
	 output [10:0] cfA;		//address bus to compact flash card
	 output ce1,ce2;			//chip enable lines to compact flash
	 output cfIOR,cfIOW;		//read write signals for compact flash
	 output cfRST;				//reset signal to compact flash
	 input cfRDY,cfWAIT,cfWP;		//status signals from compact flash
	 input cfIOCS16;
	 output cfWE,cfOE;		//read write for memory mapped mode
endmodule
