`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    12:40:42 02/07/2007 
// Design Name: 
// Module Name:    TBitRate 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module TBitRate(clk, reset, sync, R, BR);
    input clk;
    input reset;
    input sync;
    input [15:0] R;
    output BR;


	reg [19:0] Raccumulator;
	reg D;
	reg [20:0] Sum;
	
	always @ (R or Raccumulator)
		Sum = {1'b0,Raccumulator} + {5'b0,R};
		
	always @ (posedge clk or posedge reset) begin
		if(reset)
			Raccumulator <= 0;
		else if (sync)
			Raccumulator <= 0;
		else
			Raccumulator <= Sum[19:0];
	end

	assign BR = Sum[20];
	
endmodule
