static const char * HSimCopyRightNotice = "Copyright 2004-2005, Xilinx Inc. All rights reserved.";
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


static HSim__s6* IF0(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkM_e_vstatemachine__tb(const char*);
    HSim__s6 *blk = createworkM_e_vstatemachine__tb(label); 
    return blk;
}


static HSim__s6* IF1(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createunisim_ver_auxlibM_r_a_m16_x1_d(const char*);
    HSim__s6 *blk = createunisim_ver_auxlibM_r_a_m16_x1_d(label); 
    return blk;
}


static HSim__s6* IF2(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createunisim_ver_auxlibM_r_a_m16_x1_d(const char*);
    HSim__s6 *blk = createunisim_ver_auxlibM_r_a_m16_x1_d(label); 
    return blk;
}


static HSim__s6* IF3(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkM_dual_port_ram512x1(const char*);
    HSim__s6 *blk = createworkM_dual_port_ram512x1(label); 
    return blk;
}


static HSim__s6* IF4(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkM_dual_port_ram512x3(const char*);
    HSim__s6 *blk = createworkM_dual_port_ram512x3(label); 
    return blk;
}


static HSim__s6* IF5(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkM_dual_port_ram512x1(const char*);
    HSim__s6 *blk = createworkM_dual_port_ram512x1(label); 
    return blk;
}


static HSim__s6* IF6(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkM_e_vstatemachine(const char*);
    HSim__s6 *blk = createworkM_e_vstatemachine(label); 
    return blk;
}


static HSim__s6* IF7(HSim__s6 *Arch,const char* label,int nGenerics, 
va_list vap)
{
    extern HSim__s6 * createworkMglbl(const char*);
    HSim__s6 *blk = createworkMglbl(label); 
    return blk;
}

class _top : public HSim__s6 {
public:
    _top() : HSim__s6(false, "_top", "_top", 0, 0, HSim::VerilogModule) {}
    HSimConfigDecl * topModuleInstantiate() {
        HSimConfigDecl * cfgvh = 0;
        cfgvh = new HSimConfigDecl("default");
        (*cfgvh).addVlogModule("EVstatemachine_tb", (HSimInstFactoryPtr)IF0);
        (*cfgvh).addVlogModule("RAM16X1D", (HSimInstFactoryPtr)IF1);
        (*cfgvh).addVlogModule("RAM16X1D", (HSimInstFactoryPtr)IF2);
        (*cfgvh).addVlogModule("DualPortRam512x1", (HSimInstFactoryPtr)IF3);
        (*cfgvh).addVlogModule("DualPortRam512x3", (HSimInstFactoryPtr)IF4);
        (*cfgvh).addVlogModule("DualPortRam512x1", (HSimInstFactoryPtr)IF5);
        (*cfgvh).addVlogModule("EVstatemachine", (HSimInstFactoryPtr)IF6);
        (*cfgvh).addVlogModule("glbl", (HSimInstFactoryPtr)IF7);
        HSim__s5 * topvl = 0;
        extern HSim__s6 * createworkM_e_vstatemachine__tb(const char*);
        topvl = (HSim__s5*)createworkM_e_vstatemachine__tb("EVstatemachine_tb");
        topvl->moduleInstantiate(cfgvh);
        addChild(topvl);
        extern HSim__s6 * createworkMglbl(const char*);
        topvl = (HSim__s5*)createworkMglbl("glbl");
        topvl->moduleInstantiate(cfgvh);
        addChild(topvl);
        return cfgvh;
}
};

main(int argc, char **argv) {
  HSimDesign::initDesign();
  globalKernel->getOptions(argc,argv);
  HSim__s6 * _top_i = 0;
  try {
    HSimConfigDecl *cfg;
 _top_i = new _top();
  cfg =  _top_i->topModuleInstantiate();
    return globalKernel->runTcl(cfg, _top_i, "_top", argc, argv);
  }
  catch (HSimError& msg){
    try {
      globalKernel->error(msg.ErrMsg);
      return 1;
    }
    catch(...) {}
      return 1;
  }
  catch (...){
    globalKernel->fatalError();
    return 1;
  }
}
