/*@A (C) 1992 Allen I. Holub                                                */
#include <stdio.h>
#include <stdlib.h>
#include "prnt.h"

/*------------------------------------------------------------------
 * Glue formatting workhorse functions to various environments. One of two
 * versions of the workhorse function is used, depending on various #defines:
 *
 * if ANSI(x) expands to x,  uses vsprintf(), a	standard ANSI function
 * otherwise		  ,  uses _doprnt(),	standard UNIX function
 */

#include <stdarg.h>

void prnt(void (*ofunct)(int,void *),void *funct_arg,char *format,va_list args)
{
    char  *buf, *p ;

	buf = malloc(256);
    vsprintf(buf, format, args);	/* prototype is in <stdio.h> */
    for( p = buf; *p ; p++ )
	(*ofunct)( *p, funct_arg );
	free(buf);
}

void stop_prnt( void ){}

