/*@A (C) 1992 Allen I. Holub                                                */
#include "cur.h"
#include "prnt.h"

static int Errcode = OK;

void wputc(int c,void *win)
{
    Errcode |= waddch((WINDOW *) win, c );
}

int wprintw( WINDOW *win, char *fmt, ... )
{
    va_list args;
    va_start( args, fmt );
    Errcode = OK;
    prnt( wputc, win, fmt, args );
    va_end( args );
    return Errcode;
}

int printw( char *fmt, ... )
{
    va_list args;
    va_start( args, fmt );

    Errcode = OK;
    prnt( wputc, stdscr, fmt, args );
    va_end( args );
    return Errcode;
}
