// Buffer.h: interface for the CBuffer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BUFFER_H__6F279C24_9F25_4C9A_94D0_8F03ECF64FE2__INCLUDED_)
#define AFX_BUFFER_H__6F279C24_9F25_4C9A_94D0_8F03ECF64FE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define CBUFFER_MODE_READ	0
#define CBUFFER_MODE_WRITE	1

class CBuffer  
{
public:
	int GetMode(void);
	void WriteMode(void);
	void ReadMode(void);
	int m_mode;
	int Status(void);
	void Put(int c);
	int Get(void);
	CBuffer(int size);
	virtual ~CBuffer();

private:
	int m_size;
	int m_nChar;
	int m_head;
	int m_tail;
	char * m_buff;
};

#endif // !defined(AFX_BUFFER_H__6F279C24_9F25_4C9A_94D0_8F03ECF64FE2__INCLUDED_)
