#if !defined(AFX_LOGICANL_H__7DB881C8_C97F_49E2_894A_86B87C71F55D__INCLUDED_)
#define AFX_LOGICANL_H__7DB881C8_C97F_49E2_894A_86B87C71F55D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LogicAnl.h : header file
//
#include "EditTrig.h"
#include "SynthPort.h"
#include "DisplayStatic.h"
#include "NumEdit.h"
#include "HexEdit.h"
#include "Plot.h"
#include "HorzScrollBar.h"
#include "MSG.h"

/////////////////////////////////////////////////////////////////////////////
// CLogicAnl dialog

class CLogicAnl : public CDialog
{
// Construction
public:
	int m_PlotIndex;
	CMsgQueue * m_pMQ;
	CSynthPort * pSP;
	CLogicAnl(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLogicAnl)
	enum { IDD = IDD_DIALOG_LA };
	CHorzScrollBar	m_SB_Plot;
	CPlot	m_Static_Plot;
	CHexEdit	m_Edit_Qaulifier;
	CNumEdit	m_Edit_Read;
	CDisplayStatic	m_Static_Display;
	CEditTrig	m_EditTrigWord;
	CDisplayStatic	m_Static_db;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogicAnl)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	LRESULT OnLaData(WPARAM w, LPARAM l);

	// Generated message map functions
	//{{AFX_MSG(CLogicAnl)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonSetTrig();
	afx_msg void OnButtonArm();
	afx_msg void OnButtonRead();
	afx_msg void OnButtonLaReset();
	afx_msg void OnButtonStatus();
	afx_msg void OnButtonQualifier();
	afx_msg void OnButtonGetqual();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGICANL_H__7DB881C8_C97F_49E2_894A_86B87C71F55D__INCLUDED_)
