#if !defined(AFX_SINGLESTEP_H__2A5320FB_3C99_4787_9D53_5DBDEFCEC9A3__INCLUDED_)
#define AFX_SINGLESTEP_H__2A5320FB_3C99_4787_9D53_5DBDEFCEC9A3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SingleStep.h : header file
//

#include "DisplayStatic.h"
#include "SynthPort.h"
#include "NumEdit.h"

struct SYNTH_DEBUG {
	unsigned short OSC;
	unsigned short EV1;
	unsigned short EV2;
	unsigned short FILT;
	unsigned short VCA;
	unsigned short Channel;
};

/////////////////////////////////////////////////////////////////////////////
// CSingleStep dialog

class CSingleStep : public CDialog
{
// Construction
public:
	CMsgQueue * m_pSingleStepMessage;
	CSynthPort * m_pSP;
	CSingleStep(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSingleStep)
	enum { IDD = IDD_DIALOG_SINGLESTEP };
	CNumEdit	m_Edit_Channel;
	CDisplayStatic	m_Static_VCA;
	CDisplayStatic	m_Static_Osc;
	CDisplayStatic	m_Static_Filt;
	CDisplayStatic	m_Static_Ev2;
	CDisplayStatic	m_Static_Ev1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSingleStep)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	LRESULT OnStep(WPARAM w , LPARAM l);
	LRESULT OnDebugData(WPARAM w, LPARAM l);

	// Generated message map functions
	//{{AFX_MSG(CSingleStep)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonSsStep();
	afx_msg void OnButtonSsChannel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SINGLESTEP_H__2A5320FB_3C99_4787_9D53_5DBDEFCEC9A3__INCLUDED_)
