////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: J.33
//  \   \         Application: netgen
//  /   /         Filename: Compare16.v
// /___/   /\     Timestamp: Sun Sep 14 17:08:59 2008
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -intstyle ise -w -sim -ofmt verilog E:\xproj\vga\tmp\_cg\Compare16.ngc E:\xproj\vga\tmp\_cg\Compare16.v 
// Device	: 3s1000ft256-4
// Input file	: E:/xproj/vga/tmp/_cg/Compare16.ngc
// Output file	: E:/xproj/vga/tmp/_cg/Compare16.v
// # of Modules	: 1
// Design Name	: Compare16
// Xilinx        : C:\Xilinx91i
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module Compare16 (
  a_gt_b, a, b
);
  output a_gt_b;
  input [15 : 0] a;
  input [15 : 0] b;
  
  // synopsys translate_off
  
  wire \BU2/N18 ;
  wire \BU2/a_ge_b ;
  wire NLW_VCC_P_UNCONNECTED;
  wire NLW_GND_G_UNCONNECTED;
  wire [15 : 0] a_2;
  wire [15 : 0] b_3;
  wire [15 : 0] \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel ;
  wire [15 : 1] \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry ;
  assign
    a_2[15] = a[15],
    a_2[14] = a[14],
    a_2[13] = a[13],
    a_2[12] = a[12],
    a_2[11] = a[11],
    a_2[10] = a[10],
    a_2[9] = a[9],
    a_2[8] = a[8],
    a_2[7] = a[7],
    a_2[6] = a[6],
    a_2[5] = a[5],
    a_2[4] = a[4],
    a_2[3] = a[3],
    a_2[2] = a[2],
    a_2[1] = a[1],
    a_2[0] = a[0],
    b_3[15] = b[15],
    b_3[14] = b[14],
    b_3[13] = b[13],
    b_3[12] = b[12],
    b_3[11] = b[11],
    b_3[10] = b[10],
    b_3[9] = b[9],
    b_3[8] = b[8],
    b_3[7] = b[7],
    b_3[6] = b[6],
    b_3[5] = b[5],
    b_3[4] = b[4],
    b_3[3] = b[3],
    b_3[2] = b[2],
    b_3[1] = b[1],
    b_3[0] = b[0];
  VCC VCC_0 (
    .P(NLW_VCC_P_UNCONNECTED)
  );
  GND GND_1 (
    .G(NLW_GND_G_UNCONNECTED)
  );
  VCC \BU2/XST_VCC  (
    .P(\BU2/N18 )
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_0_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_0_mux00001  (
    .I0(b_3[15]),
    .I1(a_2[15]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [0])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_10_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_10_mux00001  (
    .I0(b_3[5]),
    .I1(a_2[5]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [10])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_11_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_11_mux00001  (
    .I0(b_3[4]),
    .I1(a_2[4]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [11])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_12_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_12_mux00001  (
    .I0(b_3[3]),
    .I1(a_2[3]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [12])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_13_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_13_mux00001  (
    .I0(b_3[2]),
    .I1(a_2[2]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [13])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_14_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_14_mux00001  (
    .I0(b_3[1]),
    .I1(a_2[1]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [14])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_15_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_15_mux00001  (
    .I0(b_3[0]),
    .I1(a_2[0]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [15])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_1_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_1_mux00001  (
    .I0(b_3[14]),
    .I1(a_2[14]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [1])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_2_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_2_mux00001  (
    .I0(b_3[13]),
    .I1(a_2[13]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [2])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_3_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_3_mux00001  (
    .I0(b_3[12]),
    .I1(a_2[12]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [3])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_4_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_4_mux00001  (
    .I0(b_3[11]),
    .I1(a_2[11]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [4])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_5_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_5_mux00001  (
    .I0(b_3[10]),
    .I1(a_2[10]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [5])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_6_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_6_mux00001  (
    .I0(b_3[9]),
    .I1(a_2[9]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [6])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_7_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_7_mux00001  (
    .I0(b_3[8]),
    .I1(a_2[8]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [7])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_8_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_8_mux00001  (
    .I0(b_3[7]),
    .I1(a_2[7]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [8])
  );
  defparam \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_9_mux00001 .INIT = 4'h9;
  LUT2 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel_9_mux00001  (
    .I0(b_3[6]),
    .I1(a_2[6]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [9])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[0].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [1]),
    .DI(a_2[15]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [0]),
    .O(a_gt_b)
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[1].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [2]),
    .DI(a_2[14]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [1]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [1])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[2].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [3]),
    .DI(a_2[13]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [2]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [2])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[3].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [4]),
    .DI(a_2[12]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [3]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [3])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[4].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [5]),
    .DI(a_2[11]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [4]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [4])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[5].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [6]),
    .DI(a_2[10]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [5]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [5])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[6].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [7]),
    .DI(a_2[9]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [6]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [6])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[7].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [8]),
    .DI(a_2[8]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [7]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [7])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[8].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [9]),
    .DI(a_2[7]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [8]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [8])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[9].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [10]),
    .DI(a_2[6]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [9]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [9])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[10].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [11]),
    .DI(a_2[5]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [10]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [10])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[11].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [12]),
    .DI(a_2[4]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [11]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [11])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[12].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [13]),
    .DI(a_2[3]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [12]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [12])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[13].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [14]),
    .DI(a_2[2]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [13]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [13])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[14].i_other_muxcy.i_gt_ge.data_muxcy  (
    .CI(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [15]),
    .DI(a_2[1]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [14]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [14])
  );
  MUXCY
 \BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/i_compare_struct.i_gen_single_bit_lut_compare.i_gen_luts_and_muxcys[15].i_bottom_muxcy.i_gt.bottom_muxcy_gt  (
    .CI(\BU2/a_ge_b ),
    .DI(a_2[0]),
    .S(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/sel [15]),
    .O(\BU2/U0/gen_structure_logic.gen_nonpipelined.a_lt_ge_gt_le_b.i_gen_carry_chain_comp/carry [15])
  );
  GND \BU2/XST_GND  (
    .G(\BU2/a_ge_b )
  );

// synopsys translate_on

endmodule

// synopsys translate_off

`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

    wire GSR;
    wire GTS;
    wire PRLD;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

// synopsys translate_on
